## org.mariadb.jdbc.internal.com.read
Class EndOfFilePacket

    java.lang.Object
      org.mariadb.jdbc.internal.com.read.EndOfFilePacket

    public class EndOfFilePacket

extends Object

Constructor Summary
`EndOfFilePacket(Buffer buffer)` Read EOF stream.

Method Summary
`short` `getStatusFlags()`
`short` `getWarningCount()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndOfFilePacket

    public EndOfFilePacket(Buffer buffer)

  Read EOF stream.

  Parameters:
    `buffer` - stream rawBytes

Method Detail

### getWarningCount

    public short getWarningCount()

### getStatusFlags

    public short getStatusFlags()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2017. All rights reserved.